from django.db import models

# Create your models here.
class Template(models.Model):
  nome = models.CharField(max_length=40)
  soggetto = models.CharField(max_length=256,null=False,default="")
  oggetto = models.TextField(db_column='oggetto')
  html    = models.TextField(db_column='html')
  enabled = models.BooleanField(default=1,null=False)
  html = models.BooleanField(default=0,null=False)
  note = models.TextField(db_column='note',default='')
  class Meta: 
    ordering = ['id']
    db_table = 'template4'
    managed  = False

class TemplateAdmin(models.Model):
  nome = models.CharField(max_length=40)
  soggetto = models.CharField(max_length=256,null=False,default="")
  oggetto = models.TextField(db_column='oggetto')
  html    = models.TextField(db_column='html')
  enabled = models.BooleanField(default=1,null=False)
  html = models.BooleanField(default=0,null=False)
  class Meta:
    ordering = ['id']
    db_table = 'template4_admin'
    managed = False

class TemplateAccount(models.Model):
  nome = models.CharField(max_length=40)
  soggetto = models.CharField(max_length=256,null=False,default="")
  oggetto = models.TextField(db_column='oggetto')
  html    = models.TextField(db_column='html')
  enabled = models.BooleanField(default=1,null=False)
  html = models.BooleanField(default=0,null=False)
  class Meta:
    ordering = ['id']
    db_table = 'template4_account'
    managed = False

class TemplateOther(models.Model):
  nome = models.CharField(max_length=40)
  soggetto = models.CharField(max_length=256,null=False,default="")
  oggetto = models.TextField(db_column='oggetto')
  html    = models.TextField(db_column='html')
  enabled = models.BooleanField(default=1,null=False)
  html = models.BooleanField(default=0,null=False)
  class Meta:
    ordering = ['id']
    db_table = 'template4_Other'
    managed = False

